package com.webtoonviewer.ui.component

import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel

class DownloadViewModel : ViewModel() {
    private val _isDownloading = MutableLiveData<Boolean>(false)
    val isDownloading: LiveData<Boolean> get() = _isDownloading

    fun startDownload() {
        _isDownloading.value = true
    }

    fun finishDownload() {
        _isDownloading.value = false
    }
}